/*
 *
 * Artifactory is a binaries repository manager.
 * Copyright (C) 2016 JFrog Ltd.
 *
 * Artifactory is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 * Artifactory is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with Artifactory.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.artifactory.security.ssh

import org.apache.sshd.server.Command
import org.apache.sshd.server.command.UnknownCommand
import org.artifactory.addon.gitlfs.GitLfsAddon
import org.artifactory.api.context.ContextHelper
import spock.lang.Specification

/**
 * @author Noam Y. Tenne
 */
class ArtifactoryCommandFactorySpec extends Specification {

    def 'Create an LFS command'() {
        setup:
        def commandFactory = new ArtifactoryCommandFactory(null, null)

        when:
        Command command = commandFactory.createCommand(GitLfsAuthenticateCommand.COMMAND_NAME +
                " artifactory/jim upload 46eb912dc29d5000f4412f329c1a1a22400bead03a07491e77e33cdfe923fa76")

        then:
        GitLfsAddon gitLfsAddon = ContextHelper.get().beanForType(GitLfsAddon.class)

        // command instanceof GitLfsAuthenticateCommand
    }

    def 'Create an unknown command'() {
        setup:
        def commandFactory = new ArtifactoryCommandFactory(null, null)

        when:
        Command command = commandFactory.createCommand('git-lfs-unkown-command')

        then:
        command instanceof UnknownCommand
    }
}
