/*
 *
 * Copyright 2016 JFrog Ltd. All rights reserved.
 * JFROG PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package org.artifactory.api.repo;

import org.springframework.core.task.AsyncTaskExecutor;

/**
 * @author gidis
 */
public interface WorkQueue<T extends WorkItem> {

    /**
     * Offer a new work to the queue. If the work is accepted and there's no other worker thread, the offering thread
     * continues as the worker.
     *
     * @return true if added to the work queue, false if an identical item already in queue
     */

    int availablePermits();

    void stopQueue();

    String getName();

    //void submit(T workItem, boolean blockUntilFinished, ExecutorService executor);
    void submit(T workItem, boolean blockUntilFinished, AsyncTaskExecutor executor);
}

