/*
 *
 * Copyright 2016 JFrog Ltd. All rights reserved.
 * JFROG PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package org.artifactory.descriptor.security.signingkeys;

/**
 * @author Gidi Shabat
 */

import org.artifactory.descriptor.Descriptor;

import javax.xml.bind.annotation.XmlType;

@XmlType(name = "SigningKeysSettingsType",
        propOrder = {"passphrase"},
        namespace = Descriptor.NS)
public class SigningKeysSettings implements Descriptor {

    private String passphrase;

    public String getPassphrase() {
        return passphrase;
    }

    public void setPassphrase(String test) {
        this.passphrase = test;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        SigningKeysSettings that = (SigningKeysSettings) o;

        if (passphrase != null ? !passphrase.equals(that.passphrase) : that.passphrase != null) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int result = passphrase != null ? passphrase.hashCode() : 0;
        return result;
    }
}
