/*
 *
 * Artifactory is a binaries repository manager.
 * Copyright (C) 2016 JFrog Ltd.
 *
 * Artifactory is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 * Artifactory is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with Artifactory.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.artifactory.webapp.servlet.authentication.interceptor.anonymous;

import org.artifactory.interceptor.Interceptor;
import javax.servlet.http.HttpServletRequest;

/**
 * Interceptors that are called by {@link org.artifactory.webapp.servlet.AccessFilter#useAnonymousIfPossible}
 * and signify if a request should be allowed to authenticate as Anonymous by the
 * {@link org.artifactory.webapp.servlet.authentication.ArtifactoryAuthenticationFilterChain}
 *
 * @see org.artifactory.webapp.servlet.AccessFilter
 * @author Dan Feldman
 */
public interface AnonymousAuthenticationInterceptor extends Interceptor {

    boolean accept(HttpServletRequest request);
}
