/*
 *
 * Artifactory is a binaries repository manager.
 * Copyright (C) 2016 JFrog Ltd.
 *
 * Artifactory is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 * Artifactory is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with Artifactory.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.artifactory.ui.rest.model.admin.configuration.blackduck;

import org.artifactory.descriptor.external.BlackDuckSettingsDescriptor;
import org.artifactory.rest.common.model.RestModel;
import org.artifactory.rest.common.util.JsonUtil;

/**
 * @author Chen Keinan
 */
public class BlackDuck extends BlackDuckSettingsDescriptor implements RestModel {

    public BlackDuck() {
    }

    public BlackDuck(BlackDuckSettingsDescriptor blackDuckSettingsDescriptor) {
        super.setPassword(blackDuckSettingsDescriptor.getPassword());
        super.setConnectionTimeoutMillis(blackDuckSettingsDescriptor.getConnectionTimeoutMillis());
        super.setUsername(blackDuckSettingsDescriptor.getUsername());
        super.setServerUri(blackDuckSettingsDescriptor.getServerUri());
        super.setEnableIntegration(blackDuckSettingsDescriptor.isEnableIntegration());
        super.setProxy(blackDuckSettingsDescriptor.getProxy());
    }

    @Override
    public String toString() {
        return JsonUtil.jsonToString(this);
    }
}
