/*
 *
 * Copyright 2016 JFrog Ltd. All rights reserved.
 * JFROG PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package org.artifactory.ui.rest.model.general;

import org.artifactory.rest.common.model.BaseModel;

/**
 * Basic footer implementation, must not include sensitive information and should be returned to the client when
 * anonymous access is disabled and the user is not logged in
 *
 * @author Shay Bagants
 */
public class BaseFooterImpl extends BaseModel implements Footer {

    private String serverName;
    private boolean userLogo;
    private String logoUrl;

    public BaseFooterImpl(String serverName, boolean userLogo, String logoUrl) {
        this.serverName = serverName;
        this.userLogo = userLogo;
        this.logoUrl = logoUrl;
    }

    @Override
    public String getServerName() {
        return serverName;
    }

    public void setServerName(String serverName) {
        this.serverName = serverName;
    }

    @Override
    public boolean isUserLogo() {
        return userLogo;
    }

    public void setUserLogo(boolean userLogo) {
        this.userLogo = userLogo;
    }

    @Override
    public String getLogoUrl() {
        return logoUrl;
    }

    public void setLogoUrl(String logoUrl) {
        this.logoUrl = logoUrl;
    }
}
